Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEElGamalPrivateKey

    java.lang.Object
      org.bouncycastle.jce.provider.JCEElGamalPrivateKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PrivateKey, javax.crypto.interfaces.DHKey, javax.crypto.interfaces.DHPrivateKey, ElGamalKey, ElGamalPrivateKey, PKCS12BagAttributeCarrier

    public class JCEElGamalPrivateKey

extends java.lang.Object
implements ElGamalPrivateKey, javax.crypto.interfaces.DHPrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Constructor Summary
`protected` `JCEElGamalPrivateKey()`

Method Summary
`java.lang.String` `getAlgorithm()`
`DEREncodable` `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` `getBagAttributeKeys()`
`byte[]` `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` `getFormat()` return the encoding format we produce in getEncoded().
`ElGamalParameterSpec` `getParameters()`
`javax.crypto.spec.DHParameterSpec` `getParams()`
`java.math.BigInteger` `getX()`
`void` `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEElGamalPrivateKey

    protected JCEElGamalPrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().

  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.

  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParameters

    public ElGamalParameterSpec getParameters()

  Specified by:
    `getParameters` in interface `ElGamalKey`

### getParams

    public javax.crypto.spec.DHParameterSpec getParams()

  Specified by:
    `getParams` in interface `javax.crypto.interfaces.DHKey`

### getX

    public java.math.BigInteger getX()

  Specified by:
    `getX` in interface `javax.crypto.interfaces.DHPrivateKey`
  Specified by:
    `getX` in interface `ElGamalPrivateKey`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Bouncy Castle Cryptography Library 1.45